org.keycloak.jose.jwk

## Class RSAPublicJWK

- java.lang.Object
- - org.keycloak.jose.jwk.JWK
  - - org.keycloak.jose.jwk.RSAPublicJWK

-     public class RSAPublicJWK
      extends JWK

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.jose.jwk.JWK

      `JWK.Use`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MODULUS`
    `static String` | `PUBLIC_EXPONENT`
    `static String` | `RS256`
    `static String` | `RSA`

    - ### Fields inherited from class org.keycloak.jose.jwk.JWK

      `ALGORITHM, KEY_ID, KEY_TYPE, otherClaims, PUBLIC_KEY_USE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAPublicJWK()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModulus()`
    `String` | `getPublicExponent()`
    `String` | `getSha1x509Thumbprint()`
    `String` | `getSha256x509Thumbprint()`
    `String[]` | `getX509CertificateChain()`
    `void` | `setModulus(String modulus)`
    `void` | `setPublicExponent(String publicExponent)`
    `void` | `setX509CertificateChain(String[] x509CertificateChain)`

    - ### Methods inherited from class org.keycloak.jose.jwk.JWK

      `getAlgorithm, getKeyId, getKeyType, getOtherClaims, getPublicKeyUse, setAlgorithm, setKeyId, setKeyType, setOtherClaims, setPublicKeyUse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RSA

          public static final String RSA

      See Also:
        Constant Field Values

    - #### RS256

          public static final String RS256

      See Also:
        Constant Field Values

    - #### MODULUS

          public static final String MODULUS

      See Also:
        Constant Field Values

    - #### PUBLIC_EXPONENT

          public static final String PUBLIC_EXPONENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RSAPublicJWK

          public RSAPublicJWK()

  - ### Method Detail

    - #### getModulus

          public String getModulus()

    - #### setModulus

          public void setModulus(String modulus)

    - #### getPublicExponent

          public String getPublicExponent()

    - #### setPublicExponent

          public void setPublicExponent(String publicExponent)

    - #### getX509CertificateChain

          public String[] getX509CertificateChain()

    - #### setX509CertificateChain

          public void setX509CertificateChain(String[] x509CertificateChain)

    - #### getSha1x509Thumbprint

          public String getSha1x509Thumbprint()

    - #### getSha256x509Thumbprint

          public String getSha256x509Thumbprint()

Copyright © 2021 JBoss by Red Hat. All rights reserved.